Subject: bug#25295: 26.0.50; Represent eieio objects using object-print in backtraces and edebug

From: [email-masked]
Date: Sat, 11 Mar 2017 00:43:14 -0500

Stefan Monnier <[email-masked]> writes:

>> I have an idea to use this for the pretty printer so it that produces
>> the correct spacing while printing.  I think this would end up faster
>> than calling indent-sexp afterwards.  But it would involve dispatching
>> on STREAM, and according to the comments in cl-generic.el multiple
>> dispatch adds more apply calls.  Thoughts?
>
> No idea, how would that work?

I posted an initial draft at
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25122#21, I'm not seeing
as much speedup as I'd hoped, though I haven't tried optimizing it yet.